## sniffjoke 0.4.1

=== src/client/CMakeLists.txt ===
ADD_EXECUTABLE(sniffjokectl main SniffJokeCli)
INSTALL(TARGETS sniffjokectl RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== src/plugins/CMakeLists.txt ===
ADD_SUBDIRECTORY(HDRoptions_probe)
ADD_SUBDIRECTORY(payldBreakin)
ADD_SUBDIRECTORY(badSync)
ADD_SUBDIRECTORY(forcedClosing)

=== src/service/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_SOURCE_DIR}/config.h)

ADD_EXECUTABLE(sniffjoke
               HDRoptions
               IPList
               IPTCPopt
               IPTCPoptImpl
               OptionPool
               main
               NetIO
               Packet
               PacketFilter
               PacketQueue
               Plugin
               PluginPool
               PortConf
               Process
               SessionTrack
               SniffJoke
               TCPTrack
               TTLFocus
               UserConf
               Utils
               Debug)

TARGET_LINK_LIBRARIES(sniffjoke "-ldl")

INSTALL(TARGETS sniffjoke RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/sbin)

=== debian/changelog ===
sniffjoke (0.4.1-1kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

  [ Ben Wilson ]
  * Add Uploaders
  * Remove template comment and switch spaces to tabs

  [ Steev Klimaszewski ]
  * d/watch: Add watch file pointing to git repository.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Fri, 20 Jan 2023 12:32:10 -0600

sniffjoke (0.4.1-1kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update packaging

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 14 Jan 2021 10:07:53 +0100

sniffjoke (0.4.1-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Thu, 31 Jan 2013 18:08:02 -0700

=== debian/control ===
Source: sniffjoke
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
Build-Depends: debhelper-compat (= 13), cmake, iptables, tcpdump
Standards-Version: 4.5.1
Homepage: https://github.com/vecna/sniffjoke
Vcs-Git: https://gitlab.com/kalilinux/packages/sniffjoke.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/sniffjoke

Package: sniffjoke
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, iptables, tcpdump
Description: Transparent TCP connection scrambler
 SniffJoke is an application for Linux that handle
 transparently your TCP connection, delaying, modifyng and
 inject fake packets inside your transmission, make them
 almost impossible to be correctly readed by a passive
 wiretapping technology (IDS or sniffer).

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr

=== debian/watch ===
version=4
opts="mode=git, pretty=0.4.1~git%cd," \
  https://github.com/vecna/sniffjoke HEAD
# sniffjoke isn't under active development anymore so we point to the latest git
# commit instead.
#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sniffjoke-$1\.tar\.gz/ \
#  https://github.com/vecna/sniffjoke/tags .*/v?(\d\S*)\.tar\.gz

## sniffjoke 0.4.1+git20170825.1.434bfb1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED( VERSION 2.4 )

PROJECT( sniffjoke )

SET( PREFIX "/usr/local" )
SET( VERSION_MAJOR 0 )
SET( VERSION_MINOR 4 )
SET( SUFFIX "-1" )

SET(CMAKE_SHARED_LIBRARY_PREFIX "")
# SET(CMAKE_CXX_FLAGS "-g3 -O3 -ansi -pedantic -Wall -Wno-variadic-macros ${CMAKE_CXX_FLAGS}")
SET(CMAKE_CXX_FLAGS "-O3 -ansi -pedantic -Wall -Wno-variadic-macros ${CMAKE_CXX_FLAGS}")

INCLUDE_DIRECTORIES( src src/service )

ADD_SUBDIRECTORY( src )
ADD_SUBDIRECTORY( conf )

if( MANDIR )
    set( PATH_MAN ${MANDIR} )
else( MANDIR )
    find_path( PATH_MAN NAMES "man" PATHS ${SEARCH_SYS} NO_DEFAULT_PATH )
    if( PATH_MAN )
        set( PATH_MAN "${PATH_MAN}/man/man1" )
    else( PATH_MAN )
        set( PATH_MAN "${CMAKE_INSTALL_PREFIX}/share/man/man1" )
    endif( PATH_MAN )
endif( MANDIR )

INSTALL(FILES doc/sniffjoke.1 doc/sniffjokectl.1 doc/sniffjoke-autotest.1
        DESTINATION ${PATH_MAN}
        PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)

# uninstall target as officially explained on:
#   - http://www.youtube.com/watch?v=fw-nJRD78tA
#   - http://www.cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
CONFIGURE_FILE(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY
)

ADD_CUSTOM_TARGET(
    uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)
# end of uninstall target

=== src/CMakeLists.txt ===
ADD_SUBDIRECTORY(service)
ADD_SUBDIRECTORY(client)
ADD_SUBDIRECTORY(plugins)
ADD_SUBDIRECTORY(autotest)

=== src/plugins/forcedClosing/CMakeLists.txt ===
ADD_LIBRARY(fake_close_rst SHARED fake_close_rst.cc)
ADD_LIBRARY(fake_close_fin SHARED fake_close_fin.cc)
ADD_LIBRARY(valid_rst_fake_seq SHARED valid_rst_fake_seq.cc)
ADD_LIBRARY(fake_syn SHARED fake_syn.cc)

INSTALL(TARGETS fake_close_rst
        DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}
        PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)

INSTALL(TARGETS fake_close_fin
        DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}
        PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)

INSTALL(TARGETS valid_rst_fake_seq
        DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}
        PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)

INSTALL(TARGETS fake_syn
        DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}
        PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)

=== src/plugins/payldBreakin/CMakeLists.txt ===
ADD_LIBRARY(fragmentation SHARED fragmentation.cc)
ADD_LIBRARY(segmentation SHARED segmentation.cc)
ADD_LIBRARY(overlap_packet SHARED overlap_packet.cc)
ADD_LIBRARY(fake_data SHARED fake_data.cc)

INSTALL(TARGETS fragmentation
        DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}
        PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)

INSTALL(TARGETS segmentation
        DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}
        PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)

INSTALL(TARGETS overlap_packet
        DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}
        PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)

INSTALL(TARGETS fake_data
        DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}
        PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)

=== debian/changelog ===
sniffjoke (0.4.1+git20170825.1.434bfb1-0kali1~jan+nus5) kali-bleeding-edge; urgency=low

  [ Kali Janitor ]
  * New upstream snapshot.

  [  ]
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Sun, 22 Jan 2023 02:36:58 -0000
